#include <Trade\SymbolInfo.mqh>

double calculateLotSize(const string symbl,const double cptl,const double sl_pts,const double riskPerc)
{

   string symbol=symbl;
   double sl_points=sl_pts;
   double risk=riskPerc;
   double capital = cptl;

   double TickSize  = SymbolInfoDouble(_Symbol,SYMBOL_TRADE_TICK_SIZE);
   double TickValue = SymbolInfoDouble(_Symbol,SYMBOL_TRADE_TICK_VALUE);
   double PointSize = SymbolInfoDouble(_Symbol,SYMBOL_POINT);
   double PointValue= TickValue * PointSize / TickSize;

   double risk_money = risk/100.0*capital;
   double lots = risk_money/sl_points/PointValue;
   double lotstep = SymbolInfoDouble(_Symbol,SYMBOL_VOLUME_STEP);
   lots = NormalizeDouble(lots/lotstep,0)*lotstep;

   Print("Lot Size: " + DoubleToString(lots,2));
   Print("SL Pips: " + DoubleToString((sl_points/10),1));
   Print("Risked Amount: " +DoubleToString(risk_money,2));
   
   
   return (lots);
}